{ pkgs ? import <nixpkgs> {} }:

pkgs.python3Packages.buildPythonPackage rec {
  pname = "flask-oauthlib-${version}";
  version = "0.9.5";
  src = pkgs.fetchFromGitHub {
    owner = "lepture";
    repo = "flask-oauthlib";
    rev = "572922bd8d916970ed66aeec32955c992828a473";
    sha256 = "1bmjl1j0m0fy4zwnhpadx0mzbi893qp9x7dm4nypsvczbcaqjbm0";
  };
  propagatedBuildInputs = [
    (pkgs.callPackage ./oauthlib.nix {} )
    (pkgs.callPackage ./requests-oauthlib.nix {} )
    pkgs.python3Packages.flask
    pkgs.python3Packages.setuptools
  ];
  doCheck = false;
}
