{ pkgs ? import <nixpkgs> {} }:

pkgs.python3Packages.buildPythonPackage rec {
  pname = "requests-oauthlib-${version}";
  version = "1.1.0";
  src = pkgs.fetchFromGitHub {
    owner = "requests";
    repo = "requests-oauthlib";
    rev = "4784955f033f078b8e4861bda710a86947594f29";
    sha256 = "03jqw5a7i2k8qfb2h2aj3nwy115mk3bgm9zplh3a83x6qv8hs3c3";
  };
  propagatedBuildInputs = [
    pkgs.python3Packages.setuptools
    pkgs.python3Packages.requests
    (pkgs.callPackage ./oauthlib.nix { })
  ];
  doCheck=false;
}
