{ pkgs ? import <nixpkgs> {} }:

pkgs.python3Packages.buildPythonPackage rec {
  pname = "flask-spaceauth-${version}";
  version = "2.0";
  src = pkgs.fetchgit {
    url = "http://code.hackerspace.pl/informatic/flask-spaceauth";
    rev = "c1482c2bd0e11bb22d07e1ad6724de742ab2858f";
    sha256 = "0yghlspc161s8ll9jwfj5w4yjsiv734ff90wdjfyq97dqzf0ab3s";
  };
  propagatedBuildInputs = [
    pkgs.python3Packages.flask
    pkgs.python3Packages.flask_login
    pkgs.python3Packages.blinker
    (pkgs.callPackage ./flask-oauthlib.nix {})
  ];
}
